org.apache.hadoop.yarn.api.records

## Class PreemptionContainer

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.PreemptionContainer

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class PreemptionContainer
      extends Object

  Specific container requested back by the `ResourceManager`.
  See Also:
    `PreemptionContract`, `StrictPreemptionContract`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreemptionContainer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ContainerId` | `getId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreemptionContainer

          public PreemptionContainer()

  - ### Method Detail

    - #### getId

          @InterfaceAudience.Public
           @InterfaceStability.Evolving
          public abstract ContainerId getId()

      Returns:
        Container referenced by this handle.

Copyright © 2022 Apache Software Foundation. All rights reserved.